Subject: bug#56495: 29.0.50; Support for debugging Emacs with LLDB

From: Gerd Möllmann <[email-masked]>
Date: Tue, 12 Jul 2022 10:04:11 +0200

> On 2022-07-12,, at 5:04 , Richard Stallman <[email-masked]> wrote:

> As I recall, GNU Emacs does not support MacOS anyway -- there is a
> separate, modified version of Emacs for that.  This duplicate code
> should go into that modified version.  The maintainers of that
> version presumably think it is worth making an effort to
> improve MacOS support -- so let them do the work.
> 

(As Stefan explained - macOS is supported. EFQ.  You probably think of Aquamacs, which AFAIU is a kind of fork of Emacs that started in the early 2000s.  I don't know much more about it.  They will be assimilated.)

I'd also rather use GDB because of Emacs' .gdbinit.  The problem is GDB: it supports macOS on amd64, but not on arm64 (patches welcome, says gdb-devel), and arm64 is what I have.

So, for now, I've added 'xbacktrace' and 'pr' (safe_debug_print()) for LLDB. Both could be useful for people investigating bugs, I think, as a bare minimum.

For anyone listening and interested:

I've looked at the GDB sources for the first time today.  GDB supports arm64 on other platforms, and it supports macOS with amd64, so it might not be too hard to add something for someone who knows what he is doing.  So far, I'm not that someone, and I don't want to spend a ton of time on programming anyway these days, so I won't promise to do anything.